org.eclipse.actf.model.flash

## Interface IFlashConst

All Known Subinterfaces:
  IASBridge, IFlashPlayer

All Known Implementing Classes:
  FlashPlayer

    public interface IFlashConst

Interface holding constants used by Flash related classes.

### Field Summary

Fields
`static String` `ACC_IMPL` Name of accImpl object.
`static String` `ACC_PROPS` Name of accProps object.
`static String` `ACCINFO_DEFAULTACTION` One of the property names of `ASAccInfo` instance, which means the widget's MSAA default action of an ActionScript object.
`static String` `ACCINFO_DESCRIPTION` One of the property names of `ASAccInfo` instance, which means the long description for an ActionScript object.
`static String` `ACCINFO_FORCESIMPLE` One of the property names of `ASAccInfo` instance, which means whether children of an ActionScript object is ignored by screen readers.
`static String` `ACCINFO_NAME` One of the property names of `ASAccInfo` instance, which means the ALT text for an ActionScript object.
`static String` `ACCINFO_ROLE` One of the property names of `ASAccInfo` instance, which means the MSAA widget role of an ActionScript object.
`static String` `ACCINFO_SHORTCUT` One of the property names of `ASAccInfo` instance, which means shortcut key for an ActionScript object.
`static String` `ACCINFO_SILENT` One of the property names of `ASAccInfo` instance, which means whether an ActionScript object is ignored by screen readers.
`static String` `ACCINFO_STATE` One of the property names of `ASAccInfo` instance, which means the MSAA widget state of an ActionScript object.
`static String` `ASNODE_ACCINFO` Property name of instance implementing `IASNode`, which denotes the accessibility information of the node (of type `ASAccInfo`).
`static String` `ASNODE_CLASS_ARRAY` Class name of the ActionScript objects.
`static String` `ASNODE_CLASS_BUTTON` Class name of the ActionScript objects.
`static String` `ASNODE_CLASS_NAME` Property name of instance implementing `IASNode`, which denotes the class name of the node (of type `String`).
`static String` `ASNODE_CLASS_SHAPE` Class name of the ActionScript objects.
`static String` `ASNODE_CLASS_TEXTFIELD` Class name of the ActionScript objects.
`static String` `ASNODE_CURRENT_FRAME` Property name of instance implementing `IASNode`, which denotes the current frame of the node (of type `Integer`).
`static String` `ASNODE_DEPTH` Property name of instance implementing `IASNode`, which denotes the depth (aka z-order) of the node (of type `Integer`).
`static String` `ASNODE_HEIGHT` Property name of instance implementing `IASNode`, which denotes the height of the node (of type `Double`).
`static String` `ASNODE_ICON_ACCPROPS` Icon type name.
`static String` `ASNODE_ICON_ACCROLE` Icon type name.
`static String` `ASNODE_ICON_COMPONENT` Icon type name.
`static String` `ASNODE_ICON_FLASH` Icon type name.
`static String` `ASNODE_ICON_OTHERS` Icon type name.
`static String` `ASNODE_ICON_TEXT` Icon type name.
`static String` `ASNODE_ICON_VARIABLE` Icon type name.
`static String` `ASNODE_ID` Property name of instance implementing `IASNode`, which denotes the id of the node (of type `Integer`).
`static String` `ASNODE_IS_INPUTABLE` Property name of instance implementing `IASNode`, which is the flag (of type `Boolean`) denotes whether the node is inputable by users.
`static String` `ASNODE_IS_OPAQUE_OBJECT` Property name of instance implementing `IASNode`, which is the flag (of type `Boolean`) denotes whether the system should traverse into its children.
`static String` `ASNODE_IS_UI_COMPONENT` Property name of instance implementing `IASNode`, which is the flag (of type `Boolean`) denotes whether the node is UI Component.
`static String` `ASNODE_OBJECT_NAME` Property name of instance implementing `IASNode`, which denotes the short instance name (for example, `baz`) of the node (of type `String`).
`static String` `ASNODE_TAB_INDEX` Property name of instance implementing `IASNode`, which denotes the tab index of the node (of type `Integer`).
`static String` `ASNODE_TARGET` Property name of instance implementing `IASNode`, which denotes the full instance name (for example, `foo.bar.baz`) of the node (of type `String`).
`static String` `ASNODE_TEXT` Property name of instance implementing `IASNode`, which denotes the text content of the node (of type `String`).
`static String` `ASNODE_TITLE` Property name of instance implementing `IASNode`, which denotes the title of the node (of type `String`).
`static String` `ASNODE_TYPE` Property name of instance implementing `IASNode`, which denotes the type of the node (of type `String`).
`static String` `ASNODE_TYPE_BOOLEAN` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_DISPLAYOBJECT` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_FUNCTION` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_MOVIECLIP` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_NULL` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_NUMBER` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_OBJECT` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_STRING` Type name of the ActionScript objects.
`static String` `ASNODE_TYPE_UNDEFINED` Type name of the ActionScript objects.
`static String` `ASNODE_VALUE` Property name of instance implementing `IASNode`, which denotes the string representation of the node's value (of type `String`).
`static String` `ASNODE_WIDTH` Property name of instance implementing `IASNode`, which denotes the width of the node (of type `Double`).
`static String` `ASNODE_X` Property name of instance implementing `IASNode`, which denotes the x coordinate of the node (of type `Double`).
`static String` `ASNODE_Y` Property name of instance implementing `IASNode`, which denotes the y coordinate of the node (of type `Double`).
`static String` `ATTR_WMODE` HTML attribute name for Flash Player window mode, which belongs to `object` and/or `embed` tags.
`static String` `CLSID_FLASH` Class ID value for Flash Player components
`static Integer` `COMPLETED_READY_STATE` Value of ready state which means "complete".
`static String` `CONTENT_URL` Name of the ActionScript variable for the URL from which the Flash movie is downloaded.
`static String` `DISPATCH_METHOD` Name of an ActionScript method, which we call to put request to the Flash bridge component.
`static int` `INVALID_DEPTH` ActionScript value which means invalid depth
`static String` `M_CALL_METHOD` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_CLEAR_ALL_MARKERS` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_CHILD_NODES` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_CONTENT_ID` ActionScript variable name which denotes the content ID of the Flash movie.
`static String` `M_GET_CURRENT_POSITION` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_INNER_NODES` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_NODE_AT_DEPTH` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_NODE_FROM_PATH` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_NUM_CHILD_NODES` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_NUM_SUCCESSOR_NODES` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_PROPERTY` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_ROOT_NODE` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_SUCCESSOR_NODES` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_GET_SWF_VERSION` Name of an ActionScript method to get the version of a target SWF.
`static String` `M_GET_VOLUME` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_NEW_MARKER` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_ON_PRESS` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_ON_RELEASE` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_ON_ROLL_OUT` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_ON_ROLL_OVER` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_PAUSE` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_PLAY` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_REPAIR_FLASH` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_SEARCH_SOUND` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_SEARCH_VIDEO` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_SET_FOCUS` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_SET_MARKER` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_SET_PROPERTY` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_SET_VOLUME` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_STOP` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_TRANSLATE` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_UNSET_MARKER` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `M_UPDATE_TARGET` Name of an ActionScript method, which is defined and exposed by boot loader Flash component.
`static String` `PATH_BRIDGELEVEL` ActionScript variable name which denotes the "Level 53553", into which the bridge SWF is loaded. 53553 is choosed so that Flash developers rarely use the level.
`static String` `PATH_CONTENT_ID` ActionScript variable name which denotes the content ID of the Flash movie.
`static String` `PATH_GLOBAL` ActionScript variable name which denotes the global variables store.
`static String` `PATH_IS_AVAILABLE` ActionScript variable name which denotes the availability of our bridge mechanism.
`static String` `PATH_ON_PRESS` ActionScript variable name which denotes the mouse (button pressing) event handler.
`static String` `PATH_ON_RELEASE` ActionScript variable name which denotes the mouse (button releasing) event handler.
`static String` `PATH_ROOTLEVEL` ActionScript variable name which denotes the "Level 0", into which the root SWF is loaded.
`static String` `PLAYER_GET_VARIABLE` Flash Player method name to get a value from a ActionScript variable.
`static String` `PLAYER_SET_ATTRIBUTE` HTML DOM API method name to set attributes to elements.
`static String` `PLAYER_SET_VARIABLE` Flash Player method name to set a value to a ActionScript variable.
`static String` `PLAYER_VERSION` Name of the ActionScript variable for Flash Player version.
`static String` `PROP_REQUEST_ARGS` ActionScript variable name to which we put request arguments to the bridge Flash component.
`static String` `PROP_RESPONSE_VALUE` ActionScript variable name from which we get response from the bridge Flash component.
`static String` `READY_STATE` Name of the variable for browser's ready state.
`static String` `V_OPAQUE` HTML attribute value for Flash Player window mode, which denotes opaque window mode.
`static String` `V_TRANSPARENT` HTML attribute value for Flash Player window mode, which denotes transparent window mode.

### Field Detail

#### CLSID_FLASH

    static final String CLSID_FLASH

Class ID value for Flash Player components

See Also:
  Constant Field Values

#### INVALID_DEPTH

    static final int INVALID_DEPTH

ActionScript value which means invalid depth

See Also:
  Constant Field Values

#### PLAYER_VERSION

    static final String PLAYER_VERSION

Name of the ActionScript variable for Flash Player version.

See Also:
  Constant Field Values

#### CONTENT_URL

    static final String CONTENT_URL

Name of the ActionScript variable for the URL from which the Flash movie is downloaded.

See Also:
  Constant Field Values

#### ACC_IMPL

    static final String ACC_IMPL

Name of accImpl object.

See Also:
  Constant Field Values

#### ACC_PROPS

    static final String ACC_PROPS

Name of accProps object.

See Also:
  Constant Field Values

#### READY_STATE

    static final String READY_STATE

Name of the variable for browser's ready state.

See Also:
  Constant Field Values

#### COMPLETED_READY_STATE

    static final Integer COMPLETED_READY_STATE

Value of ready state which means "complete".

#### PATH_ROOTLEVEL

    static final String PATH_ROOTLEVEL

ActionScript variable name which denotes the "Level 0", into which the root SWF is loaded.

See Also:
  Constant Field Values

#### PATH_BRIDGELEVEL

    static final String PATH_BRIDGELEVEL

ActionScript variable name which denotes the "Level 53553", into which the bridge SWF is loaded. 53553 is choosed so that Flash developers rarely use the level.

See Also:
  Constant Field Values

#### PATH_IS_AVAILABLE

    static final String PATH_IS_AVAILABLE

ActionScript variable name which denotes the availability of our bridge mechanism. If the bridge is correctly injected, this variable is accessible from the external program.

See Also:
  Constant Field Values

#### PATH_CONTENT_ID

    static final String PATH_CONTENT_ID

ActionScript variable name which denotes the content ID of the Flash movie. The ACTF proxy and boot loader set the ID for authentication between the program using this class and browser component.

See Also:
  Constant Field Values

#### PATH_GLOBAL

    static final String PATH_GLOBAL

ActionScript variable name which denotes the global variables store.

See Also:
  Constant Field Values

#### PATH_ON_PRESS

    static final String PATH_ON_PRESS

ActionScript variable name which denotes the mouse (button pressing) event handler.

See Also:
  Constant Field Values

#### PATH_ON_RELEASE

    static final String PATH_ON_RELEASE

ActionScript variable name which denotes the mouse (button releasing) event handler.

See Also:
  Constant Field Values

#### PROP_REQUEST_ARGS

    static final String PROP_REQUEST_ARGS

ActionScript variable name to which we put request arguments to the bridge Flash component.

See Also:
  Constant Field Values

#### PROP_RESPONSE_VALUE

    static final String PROP_RESPONSE_VALUE

ActionScript variable name from which we get response from the bridge Flash component.

See Also:
  Constant Field Values

#### PLAYER_SET_VARIABLE

    static final String PLAYER_SET_VARIABLE

Flash Player method name to set a value to a ActionScript variable.

See Also:
  Constant Field Values

#### PLAYER_GET_VARIABLE

    static final String PLAYER_GET_VARIABLE

Flash Player method name to get a value from a ActionScript variable.

See Also:
  Constant Field Values

#### PLAYER_SET_ATTRIBUTE

    static final String PLAYER_SET_ATTRIBUTE

HTML DOM API method name to set attributes to elements.

See Also:
  Constant Field Values

#### ATTR_WMODE

    static final String ATTR_WMODE

HTML attribute name for Flash Player window mode, which belongs to `object` and/or `embed` tags.

See Also:
  `V_TRANSPARENT`, `V_OPAQUE`, Constant Field Values

#### V_TRANSPARENT

    static final String V_TRANSPARENT

HTML attribute value for Flash Player window mode, which denotes transparent window mode.

See Also:
  `ATTR_WMODE`, Constant Field Values

#### V_OPAQUE

    static final String V_OPAQUE

HTML attribute value for Flash Player window mode, which denotes opaque window mode.

See Also:
  `ATTR_WMODE`, Constant Field Values

#### M_GET_ROOT_NODE

    static final String M_GET_ROOT_NODE

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_NUM_SUCCESSOR_NODES

    static final String M_GET_NUM_SUCCESSOR_NODES

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_SUCCESSOR_NODES

    static final String M_GET_SUCCESSOR_NODES

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_NUM_CHILD_NODES

    static final String M_GET_NUM_CHILD_NODES

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_CHILD_NODES

    static final String M_GET_CHILD_NODES

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_INNER_NODES

    static final String M_GET_INNER_NODES

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_NEW_MARKER

    static final String M_NEW_MARKER

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_SET_MARKER

    static final String M_SET_MARKER

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_NODE_FROM_PATH

    static final String M_GET_NODE_FROM_PATH

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_CALL_METHOD

    static final String M_CALL_METHOD

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_SET_FOCUS

    static final String M_SET_FOCUS

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_UPDATE_TARGET

    static final String M_UPDATE_TARGET

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_REPAIR_FLASH

    static final String M_REPAIR_FLASH

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_SET_PROPERTY

    static final String M_SET_PROPERTY

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_PROPERTY

    static final String M_GET_PROPERTY

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_TRANSLATE

    static final String M_TRANSLATE

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_NODE_AT_DEPTH

    static final String M_GET_NODE_AT_DEPTH

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_UNSET_MARKER

    static final String M_UNSET_MARKER

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_CLEAR_ALL_MARKERS

    static final String M_CLEAR_ALL_MARKERS

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_ON_ROLL_OUT

    static final String M_ON_ROLL_OUT

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_ON_ROLL_OVER

    static final String M_ON_ROLL_OVER

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_ON_PRESS

    static final String M_ON_PRESS

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_ON_RELEASE

    static final String M_ON_RELEASE

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_SEARCH_SOUND

    static final String M_SEARCH_SOUND

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_SEARCH_VIDEO

    static final String M_SEARCH_VIDEO

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_CURRENT_POSITION

    static final String M_GET_CURRENT_POSITION

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_PAUSE

    static final String M_PAUSE

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_PLAY

    static final String M_PLAY

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_STOP

    static final String M_STOP

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_SET_VOLUME

    static final String M_SET_VOLUME

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### M_GET_VOLUME

    static final String M_GET_VOLUME

Name of an ActionScript method, which is defined and exposed by boot loader Flash component.

See Also:
  Constant Field Values

#### DISPATCH_METHOD

    static final String DISPATCH_METHOD

Name of an ActionScript method, which we call to put request to the Flash bridge component.

See Also:
  Constant Field Values

#### M_GET_SWF_VERSION

    static final String M_GET_SWF_VERSION

Name of an ActionScript method to get the version of a target SWF. This method is defined and exposed by Flash boot loader component.

See Also:
  Constant Field Values

#### M_GET_CONTENT_ID

    static final String M_GET_CONTENT_ID

ActionScript variable name which denotes the content ID of the Flash movie. The ACTF proxy and boot loader set the ID for authentication between the program using this class and browser component.

See Also:
  Constant Field Values

#### ASNODE_TYPE

    static final String ASNODE_TYPE

Property name of instance implementing `IASNode`, which denotes the type of the node (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_CLASS_NAME

    static final String ASNODE_CLASS_NAME

Property name of instance implementing `IASNode`, which denotes the class name of the node (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_OBJECT_NAME

    static final String ASNODE_OBJECT_NAME

Property name of instance implementing `IASNode`, which denotes the short instance name (for example, `baz`) of the node (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_TARGET

    static final String ASNODE_TARGET

Property name of instance implementing `IASNode`, which denotes the full instance name (for example, `foo.bar.baz`) of the node (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_VALUE

    static final String ASNODE_VALUE

Property name of instance implementing `IASNode`, which denotes the string representation of the node's value (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_TEXT

    static final String ASNODE_TEXT

Property name of instance implementing `IASNode`, which denotes the text content of the node (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_TITLE

    static final String ASNODE_TITLE

Property name of instance implementing `IASNode`, which denotes the title of the node (of type `String`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_X

    static final String ASNODE_X

Property name of instance implementing `IASNode`, which denotes the x coordinate of the node (of type `Double`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_Y

    static final String ASNODE_Y

Property name of instance implementing `IASNode`, which denotes the y coordinate of the node (of type `Double`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_WIDTH

    static final String ASNODE_WIDTH

Property name of instance implementing `IASNode`, which denotes the width of the node (of type `Double`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_HEIGHT

    static final String ASNODE_HEIGHT

Property name of instance implementing `IASNode`, which denotes the height of the node (of type `Double`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ACCINFO

    static final String ASNODE_ACCINFO

Property name of instance implementing `IASNode`, which denotes the accessibility information of the node (of type `ASAccInfo`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_DEPTH

    static final String ASNODE_DEPTH

Property name of instance implementing `IASNode`, which denotes the depth (aka z-order) of the node (of type `Integer`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_CURRENT_FRAME

    static final String ASNODE_CURRENT_FRAME

Property name of instance implementing `IASNode`, which denotes the current frame of the node (of type `Integer`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_IS_UI_COMPONENT

    static final String ASNODE_IS_UI_COMPONENT

Property name of instance implementing `IASNode`, which is the flag (of type `Boolean`) denotes whether the node is UI Component.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_IS_INPUTABLE

    static final String ASNODE_IS_INPUTABLE

Property name of instance implementing `IASNode`, which is the flag (of type `Boolean`) denotes whether the node is inputable by users.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_IS_OPAQUE_OBJECT

    static final String ASNODE_IS_OPAQUE_OBJECT

Property name of instance implementing `IASNode`, which is the flag (of type `Boolean`) denotes whether the system should traverse into its children.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ID

    static final String ASNODE_ID

Property name of instance implementing `IASNode`, which denotes the id of the node (of type `Integer`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_TAB_INDEX

    static final String ASNODE_TAB_INDEX

Property name of instance implementing `IASNode`, which denotes the tab index of the node (of type `Integer`).

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_TYPE_MOVIECLIP

    static final String ASNODE_TYPE_MOVIECLIP

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_OBJECT

    static final String ASNODE_TYPE_OBJECT

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_UNDEFINED

    static final String ASNODE_TYPE_UNDEFINED

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_STRING

    static final String ASNODE_TYPE_STRING

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_BOOLEAN

    static final String ASNODE_TYPE_BOOLEAN

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_NULL

    static final String ASNODE_TYPE_NULL

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_NUMBER

    static final String ASNODE_TYPE_NUMBER

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_FUNCTION

    static final String ASNODE_TYPE_FUNCTION

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_TYPE_DISPLAYOBJECT

    static final String ASNODE_TYPE_DISPLAYOBJECT

Type name of the ActionScript objects. It is return value of ActionScript `typeof` operator.

See Also:
  `IASNode`, `ASNODE_TYPE`, Constant Field Values

#### ASNODE_CLASS_BUTTON

    static final String ASNODE_CLASS_BUTTON

Class name of the ActionScript objects. Class name is redundant only when type name of the node is "object".

See Also:
  `IASNode`, `ASNODE_CLASS_NAME`, Constant Field Values

#### ASNODE_CLASS_ARRAY

    static final String ASNODE_CLASS_ARRAY

Class name of the ActionScript objects. Class name is redundant only when type name of the node is "object".

See Also:
  `IASNode`, `ASNODE_CLASS_NAME`, Constant Field Values

#### ASNODE_CLASS_TEXTFIELD

    static final String ASNODE_CLASS_TEXTFIELD

Class name of the ActionScript objects. Class name is redundant only when type name of the node is "object".

See Also:
  `IASNode`, `ASNODE_CLASS_NAME`, Constant Field Values

#### ASNODE_CLASS_SHAPE

    static final String ASNODE_CLASS_SHAPE

Class name of the ActionScript objects. Class name is redundant only when type name of the node is "object".

See Also:
  `IASNode`, `ASNODE_CLASS_NAME`, Constant Field Values

#### ASNODE_ICON_ACCROLE

    static final String ASNODE_ICON_ACCROLE

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ICON_ACCPROPS

    static final String ASNODE_ICON_ACCPROPS

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ICON_FLASH

    static final String ASNODE_ICON_FLASH

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ICON_OTHERS

    static final String ASNODE_ICON_OTHERS

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ICON_TEXT

    static final String ASNODE_ICON_TEXT

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ICON_VARIABLE

    static final String ASNODE_ICON_VARIABLE

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ASNODE_ICON_COMPONENT

    static final String ASNODE_ICON_COMPONENT

Icon type name. It is used to determine an icon of an item in the Flash Outline View.

See Also:
  `IASNode`, Constant Field Values

#### ACCINFO_NAME

    static final String ACCINFO_NAME

One of the property names of `ASAccInfo` instance, which means the ALT text for an ActionScript object.

See Also:
  Constant Field Values

#### ACCINFO_DESCRIPTION

    static final String ACCINFO_DESCRIPTION

One of the property names of `ASAccInfo` instance, which means the long description for an ActionScript object.

See Also:
  Constant Field Values

#### ACCINFO_ROLE

    static final String ACCINFO_ROLE

One of the property names of `ASAccInfo` instance, which means the MSAA widget role of an ActionScript object. It comes from a property of "._accImpl" object in ActionScrip 2.0, which is not documented. In ActionScript 3.0, it comes from AccessibilityImplementation class.

See Also:
  Constant Field Values

#### ACCINFO_STATE

    static final String ACCINFO_STATE

One of the property names of `ASAccInfo` instance, which means the MSAA widget state of an ActionScript object. It comes from a property of "._accImpl" object in ActionScrip 2.0, which is not documented. In ActionScript 3.0, it comes from AccessibilityImplementation class.

See Also:
  Constant Field Values

#### ACCINFO_SILENT

    static final String ACCINFO_SILENT

One of the property names of `ASAccInfo` instance, which means whether an ActionScript object is ignored by screen readers.

See Also:
  Constant Field Values

#### ACCINFO_FORCESIMPLE

    static final String ACCINFO_FORCESIMPLE

One of the property names of `ASAccInfo` instance, which means whether children of an ActionScript object is ignored by screen readers.

See Also:
  Constant Field Values

#### ACCINFO_SHORTCUT

    static final String ACCINFO_SHORTCUT

One of the property names of `ASAccInfo` instance, which means shortcut key for an ActionScript object.

See Also:
  Constant Field Values

#### ACCINFO_DEFAULTACTION

    static final String ACCINFO_DEFAULTACTION

One of the property names of `ASAccInfo` instance, which means the widget's MSAA default action of an ActionScript object. It comes from a property of "._accImpl" object in ActionScrip 2.0, which is not documented. In ActionScript 3.0, it comes from AccessibilityImplementation class.

See Also:
  Constant Field Values